---
title: Update an existing network connector
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/network/update-an-existing-network-connector/
product: CloudConnexa Docs
---

# Update an existing network connector

`PUT /api/v1/networks/connectors/{id}`

**Update an existing network connector.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "vpnRegionId": "string",
  "ipSecConfig": {
    "platform": "AWS",
    "authenticationType": "SHARED_SECRET",
    "remoteSitePublicIp": "string",
    "preSharedKey": "string",
    "caCertificate": "string",
    "peerCertificate": "string",
    "remoteGatewayCertificate": "string",
    "peerCertificatePrivateKey": "string",
    "peerCertificateKeyPassphrase": "string",
    "ikeProtocol": {
      "protocolVersion": "IKE_V1",
      "phase1": {
        "encryptionAlgorithms": [
          "AES128"
        ],
        "integrityAlgorithms": [
          "SHA1"
        ],
        "diffieHellmanGroups": [
          "G_1"
        ],
        "lifetimeSec": 3600
      },
      "phase2": {
        "encryptionAlgorithms": [
          "AES128"
        ],
        "integrityAlgorithms": [
          "SHA1"
        ],
        "diffieHellmanGroups": [
          "G_1"
        ],
        "lifetimeSec": 3600
      },
      "rekey": {
        "marginTimeSec": 270,
        "fuzzPercent": 100,
        "replayWindowSize": 1024
      },
      "deadPeerDetection": {
        "timeoutSec": 30,
        "deadPeerHandling": "RESTART"
      },
      "startupAction": "START"
    },
    "hostname": "string",
    "domain": "string"
  }
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [NetworkConnectorRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/networkconnectorrequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » vpnRegionId | body | string | false | none |
| » ipSecConfig | body | [IpSecConfigRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ipsecconfigrequest.md) | false | none |
| »» platform | body | string | false | none |
| »» authenticationType | body | string | false | none |
| »» remoteSitePublicIp | body | string | false | none |
| »» preSharedKey | body | string | false | none |
| »» caCertificate | body | string | false | none |
| »» peerCertificate | body | string | false | none |
| »» remoteGatewayCertificate | body | string | false | none |
| »» peerCertificatePrivateKey | body | string | false | none |
| »» peerCertificateKeyPassphrase | body | string | false | none |
| »» ikeProtocol | body | [IkeProtocol](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ikeprotocol.md) | false | none |
| »»» protocolVersion | body | string | false | none |
| »»» phase1 | body | [IkePhase](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ikephase.md) | false | none |
| »»»» encryptionAlgorithms | body | \[string\] | false | none |
| »»»» integrityAlgorithms | body | \[string\] | false | none |
| »»»» diffieHellmanGroups | body | \[string\] | false | none |
| »»»» lifetimeSec | body | integer(int32) | false | none |
| »»» phase2 | body | [IkePhase](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ikephase.md) | false | none |
| »»» rekey | body | [IkeRekey](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ikerekey.md) | false | none |
| »»»» marginTimeSec | body | integer(int32) | false | none |
| »»»» fuzzPercent | body | integer(int32) | false | none |
| »»»» replayWindowSize | body | integer(int32) | false | none |
| »»» deadPeerDetection | body | [IkeDeadPeerDetection](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ikedeadpeerdetection.md) | false | none |
| »»»» timeoutSec | body | integer(int32) | false | none |
| »»»» deadPeerHandling | body | string | false | none |
| »»» startupAction | body | string | false | none |
| »» hostname | body | string | false | none |
| »» domain | body | string | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| »» platform | AWS |
| »» platform | CISCO |
| »» platform | AZURE |
| »» platform | GCP |
| »» platform | OTHER |
| »» authenticationType | SHARED\_SECRET |
| »» authenticationType | CERTIFICATE |
| »»» protocolVersion | IKE\_V1 |
| »»» protocolVersion | IKE\_V2 |
| »»»» encryptionAlgorithms | AES128 |
| »»»» encryptionAlgorithms | AES256 |
| »»»» encryptionAlgorithms | AES128\_GCM\_16 |
| »»»» encryptionAlgorithms | AES256\_GCM\_16 |
| »»»» integrityAlgorithms | SHA1 |
| »»»» integrityAlgorithms | SHA2\_256 |
| »»»» integrityAlgorithms | SHA2\_384 |
| »»»» integrityAlgorithms | SHA2\_512 |
| »»»» diffieHellmanGroups | G\_1 |
| »»»» diffieHellmanGroups | G\_2 |
| »»»» diffieHellmanGroups | G\_5 |
| »»»» diffieHellmanGroups | G\_14 |
| »»»» diffieHellmanGroups | G\_15 |
| »»»» diffieHellmanGroups | G\_16 |
| »»»» diffieHellmanGroups | G\_19 |
| »»»» diffieHellmanGroups | G\_20 |
| »»»» diffieHellmanGroups | G\_24 |
| »»»» deadPeerHandling | RESTART |
| »»»» deadPeerHandling | NONE |
| »»» startupAction | START |
| »»» startupAction | ATTACH |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [NetworkConnectorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/networkconnectorresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get an existing connector](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/network/get-an-existing-connector.md)
Next: [Delete an existing network connector](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/network/delete-an-existing-network-connector.md)
Index: https://openvpn.net/cloud-docs/llms.txt
